#!/usr/bin/env python

#############################################################################
# @ddblock_begin copyright 
############################################################################
# Copyright (c) 1999-2014
# Maryland DSPCAD Research Group, The University of Maryland at College Park 
#
# Permission is hereby granted, without written agreement and without
# license or royalty fees, to use, copy, modify, and distribute this
# software and its documentation for any purpose, provided that the above
# copyright notice and the following two paragraphs appear in all copies
# of this software.
# 
# IN NO EVENT SHALL THE UNIVERSITY OF MARYLAND BE LIABLE TO ANY PARTY
# FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
# ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
# THE UNIVERSITY OF MARYLAND HAS BEEN ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
# 
# THE UNIVERSITY OF MARYLAND SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
# PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
# MARYLAND HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
# ENHANCEMENTS, OR MODIFICATIONS.
############################################################################

# @ddblock_end copyright
#############################################################################

# Authors: William Plishker and Shuvra S. Bhattacharyya

# Usage: dxext.py [-f] <string>

# Print the extension associated with a given file name.

# The part of the string given after the last '.' is output to standard output.
# If there is no "." then nothing is printed is printed to standard output.

# if the -l option is given as the first program argument, then
# the first '.' rather than the last '.' is taken as the separator
# for the extension.

# Examples:

# dxext.py x.tar.gz --> gz
# dxext.py -f x.tar.gz --> tar.gz

# The output of the program, as determined above, is terminated by a newline.

# grab the package for processing command line arguments
import sys

#if the wrong number of parameters are present, print usage
if(len(sys.argv)<2 or len(sys.argv)>3):
    print "Usage: dxext.py [-f] <string>"
    exit()

# assume it's in the last position
filename = sys.argv[len(sys.argv)-1]

# if the path is in filename, we strip it here
if("/" in filename):
    filename = filename.rsplit("/",1)[1]

# if -f was specified, split 1 from the left, otherwise split 1 from the right
if("-f" in sys.argv):
    filename_split = filename.split(".", 1) #split(seperate, maximum number of splits)
else:
    filename_split = filename.rsplit(".",1)

if(len(filename_split)>1):
    print filename_split[1]

